  SUBROUTINE tssub_advdify_fifthorder(sal,temp   &

                                      ,c &

                                        )

!&E---------------------------------------------------------------------
!&E                 ***  ROUTINE tssub_advdify_fifthorder  ***
!&E
!&E ** Purpose : Estimate of meridional fluxes of temperature and salinity
!&E              and other substances (advection and diffusion)
!&E              Advection uses 5TH order scheme.
!&E
!&E ** Description : No horizontal diffusion at lower depths ( < hminkxky)
!&E                 - case of cyclicity in y : correct for northward propagation,
!&E                    uncorrect for southward propagation (stencil not long enough)
!&E
!&E ** Called by :
!&E
!&E ** External calls :
!&E
!&E ** Used ij-arrays : hey,hy,fyeau,sal,temp,c(cv_wat),hzey,dy_v
!&E                     fsaly,ftempy,fy
!&E
!&E ** Modified variables : fsaly,ftempy,fy
!&E
!&E ** Reference : Debreu, Duhaut (2011) contrat PREVIMER 09/2 211 097
!&E
!&E ** History :
!&E       !  2012-07 (V. Garnier) Original code (from tssubadvdifyultimatequickest.F90)
!&E       !  2016-04  (B.Thouvenin) applied to all substances (dissolved and particulate, include sand)
!&E       !  2016-12  (B.Thouvenin) version sedim_MUSTANG : only mixsed (mudsand not operationnal)
!&E
!&E---------------------------------------------------------------------































































   USE parameters, ONLY : rsh,kmax,liminm1,limaxp2,ljminm1,ljmaxp2
   REAL(KIND=rsh),DIMENSION(kmax,liminm1:limaxp2,ljminm1:ljmaxp2),INTENT(in) :: sal,temp

   REAL(KIND=rsh),DIMENSION(kmax,kmax,liminm1:limaxp2,ljminm1:ljmaxp2),INTENT(in) :: c




   !PRINT*, 'exit TSSUB_ADVDIFY_FIFTHORDER.F90 routine'

  END SUBROUTINE tssub_advdify_fifthorder
